# frozen_string_literal: true

class ChangeApprovalMergeRequestRulesVulnerabilityStatesDefault < Gitlab::Database::Migration[2.2]
  milestone '16.9'
  enable_lock_retries!

  def up
    change_column_default('approval_merge_request_rules', 'vulnerability_states', from: ['newly_detected'],
      to: %w[new_needs_triage new_dismissed])
  end

  def down
    change_column_default('approval_merge_request_rules', 'vulnerability_states',
      from: %w[new_needs_triage new_dismissed],
      to: ['newly_detected'])
  end
end
